<?php
include 'includes/db_connect.php';

// Consulta para obtener todas las rifas activas
$sql = "SELECT id, nombre_rifa, premio, cantidad_numeros, precio_unitario, fecha_sorteo, imagen FROM rifas_activas";
$result = $conn->query($sql);

$rifas = [];
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $rifas[] = $row;
    }
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>La Casa de las Rifas</title>
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/estilo_index.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Oswald&family=Quicksand:wght@300;500;700&family=Roboto:wght@300;400&display=swap" rel="stylesheet">
    <!-- Font Awesome -->
    <script src="https://kit.fontawesome.com/f77dcaa3f4.js" crossorigin="anonymous"></script>
</head>
<body>
    <header>
        <div class="volver-container">
            <a href="https://rifasgerardo.com/"><i class="fa-solid fa-arrow-left"></i></a>
        </div>
        <div class="nombre-container"> 
        <img src="assets/img/Logo_La_Casa_de_las_Rifas.png" alt="" class="logo"> <h1>La Casa de las Rifas</h1></div>
        <div class="logo-container"><a href="pages/login.php"><i class="fa-solid fa-user"></i></a></div>
    </header>
    
    <main>
        <h1>Rifas Activas</h1>
        <div class="cards-container">
            <?php if (empty($rifas)): ?>
                <p>No hay rifas activas en este momento.</p>
            <?php else: ?>
                <?php foreach ($rifas as $rifa): ?>
                    <div class="card">
                        <?php if (!empty($rifa['imagen'])): ?>
                            <img src="<?php echo $rifa['imagen']; ?>" alt="Imagen de la rifa">
                        <?php else: ?>
                            <img src="assets/img/rifa1.jpg" alt="Imagen por defecto">
                        <?php endif; ?>
                        <h2><?php echo htmlspecialchars($rifa['nombre_rifa']); ?></h2>
                        <p>Participa por <?php echo htmlspecialchars($rifa['premio']); ?></p>
                        <p>Fecha del sorteo: <?php echo htmlspecialchars($rifa['fecha_sorteo']); ?></p>
                        <a href="pages/rifa.php?id=<?php echo $rifa['id']; ?>"><button><b>¡Jugar ahora!</b></button></a>
                    </div>
                <?php endforeach; ?>
            <?php endif; ?>
        </div>
    </main>
    <footer>
        <div class="copyright"><h3>©La Casa de Las Rifas 2025. Todos los Derechos reservados</h3></div>
        <div class="iconos-footer">
            <a href="http://wa.me/+5804247790386" target="_blank">
              <i class="fa-brands fa-whatsapp"></i>
            </a>
            <a href="https://www.instagram.com/la.casadelasrifas?igsh=OHN4ZWJtMWVheGox" target="_blank">
                  <i class="fa-brands fa-instagram"></i>
                </a>
        </div>
    </footer>
</body>
</html>