<?php
session_start();

// Habilitar visualización de errores
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include '../includes/db_connect.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $usuario = $_POST['usuario'];
    $contrasena = $_POST['contrasena']; // Contraseña en texto plano

    // Consulta para verificar el usuario y la contraseña (sin hash)
    $sql = "SELECT id, usuario, rol FROM usuarios WHERE usuario = ? AND contrasena = ?";
    $stmt = $conn->prepare($sql);
    if (!$stmt) {
        die("Error en la preparación de la consulta: " . $conn->error);
    }
    $stmt->bind_param("ss", $usuario, $contrasena); // Comparar contraseña en texto plano
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows === 1) {
        $row = $result->fetch_assoc();
        $_SESSION['usuario_id'] = $row['id'];
        $_SESSION['usuario_rol'] = $row['rol'];
        header("Location: admin/admin_menu.php"); // Redirigir a la página de administración
        exit();
    } else {
        $error = "Usuario o contraseña incorrectos.";
    }

    $stmt->close();
    $conn->close();
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="../assets/css/estilo_login.css">
    <link rel="stylesheet" href="../assets/css/style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Oswald&family=Quicksand:wght@300;500;700&family=Roboto:wght@300;400&display=swap" rel="stylesheet">
    <script src="https://kit.fontawesome.com/f77dcaa3f4.js" crossorigin="anonymous"></script>
</head>
<body>
<header>
        <div class="volver-container">
            <a href="../index.php"><i class="fa-solid fa-arrow-left"></i></a>
        </div>
        <div class="nombre-container"> 
        <img src="../assets/img/Logo_La_Casa_de_las_Rifas.png" alt="" class="logo"> <h1>La Casa de las Rifas</h1></div>
        <div class="logo-container"><a href="login.php"><i class="fa-solid fa-user"></i></a></div>
    </header>
    
    
    <div class="login-container">
        <h2>Iniciar Sesión</h2>
        <?php if (isset($error)): ?>
            <p class="error"><?php echo $error; ?></p>
        <?php endif; ?>
        <form method="POST">
            <input type="text" id="usuario" name="usuario" placeholder="Usuario" required>
            <input type="password" id="contrasena" name="contrasena" placeholder="Contraseña" required>
            <button type="submit">Ingresar</button>
        </form>
    </div>
</body>
</html>