<?php
include '../includes/db_connect.php';

// Obtener los datos del formulario
$nombre = $_POST['nombre'];
$apellido = $_POST['apellido'];
$cedula = $_POST['cedula'];
$telefono = $_POST['telefono'];
$correo = $_POST['correo'];
$numeros_comprados = $_POST['numeros_comprados'];
$metodo_pago = $_POST['metodo_pago'];
$id_rifa = intval($_POST['id_rifa']); // Asegúrate de obtener el id_rifa

// Validar que el id_rifa no sea 0
if ($id_rifa === 0) {
    die(json_encode(["success" => false, "error" => "ID de rifa no válido."]));
}

// Insertar los datos en la tabla compras_rifa
$sql = "INSERT INTO compras_rifa (id_rifa, numeros_comprados, nombre, apellido, cedula, telefono, correo, estado) 
        VALUES (?, ?, ?, ?, ?, ?, ?, 'espera')";

$stmt = $conn->prepare($sql);
if (!$stmt) {
    die(json_encode(["success" => false, "error" => "Error en la preparación de la consulta: " . $conn->error]));
}

$stmt->bind_param("issssss", $id_rifa, $numeros_comprados, $nombre, $apellido, $cedula, $telefono, $correo);

if ($stmt->execute()) {
    // Éxito: Actualizar el estado de los números en la tabla `rifa`
    $numeros = explode(",", $numeros_comprados);
    foreach ($numeros as $numero) {
        $sqlUpdate = "UPDATE rifa SET estado = 'en_espera' WHERE id_rifa = ? AND numero = ?";
        $stmtUpdate = $conn->prepare($sqlUpdate);
        $stmtUpdate->bind_param("is", $id_rifa, $numero);
        $stmtUpdate->execute();
        $stmtUpdate->close();
    }

    echo json_encode(["success" => true]);
} else {
    echo json_encode(["success" => false, "error" => $stmt->error]);
}

$stmt->close();
$conn->close();
?>