<?php
// Incluir la conexión a la base de datos
error_reporting(E_ALL);
ini_set('display_errors', 1);
include '../includes/db_connect.php';

// Verificar la conexión
if ($conn->connect_error) {
    die("Error de conexión a la base de datos: " . $conn->connect_error);
}

// Verificar si el formulario se envió por POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recoger datos del formulario
    $id_rifa = intval($_POST['id_rifa']);
    $numeros_comprados = $_POST['numeros_seleccionados'];
    $nombre = trim($_POST['nombre']);
    $apellido = trim($_POST['apellido']);
    $cedula = trim($_POST['cedula']);
    $telefono = trim($_POST['telefono']);
    $correo = trim($_POST['correo']);
    $region = trim($_POST['region']);
    $ciudad = trim($_POST['ciudad']);
    $metodo_pago = $_POST['metodo_pago'];
    $estado = 'espera';
    $fecha_compra = date('Y-m-d H:i:s');

    // Obtener el precio_unitario desde la base de datos
    $sqlPrecio = "SELECT precio_unitario FROM rifas_activas WHERE id = ?";
    $stmtPrecio = $conn->prepare($sqlPrecio);
    $stmtPrecio->bind_param("i", $id_rifa);
    $stmtPrecio->execute();
    $resultPrecio = $stmtPrecio->get_result();

    if ($resultPrecio->num_rows === 0) {
        die("Precio no encontrado para la rifa especificada.");
    }

    $rowPrecio = $resultPrecio->fetch_assoc();
    $precio_unitario = $rowPrecio['precio_unitario'];
    $stmtPrecio->close();

    // Calcular el precio total
    $numeros_comprados_array = explode(',', $numeros_comprados);
    $total_compra = count($numeros_comprados_array) * $precio_unitario;

    // Manejo del comprobante de pago
    $comprobante = '';
    $comprobante_link = '';

    if (isset($_POST['tipo_comprobante']) && $_POST['tipo_comprobante'] === 'foto' && isset($_FILES['comprobante'])) {
        $upload_dir = '../pagos_ima/';
        
        if (!is_dir($upload_dir) || !is_writable($upload_dir)) {
            die("La carpeta de destino no existe o no tiene permisos de escritura.");
        }

        $file_name = $_FILES['comprobante']['name'];
        $file_tmp = $_FILES['comprobante']['tmp_name'];
        $file_error = $_FILES['comprobante']['error'];

        if ($file_error === UPLOAD_ERR_OK) {
            $file_ext = strtolower(pathinfo($file_name, PATHINFO_EXTENSION));
            $allowed_extensions = ['jpg', 'jpeg', 'png', 'gif', 'webp', 'bmp', 'tiff'];

            if (in_array($file_ext, $allowed_extensions)) {
                $custom_name = trim($_POST['custom_name']);
                if (empty($custom_name)) {
                    $custom_name = 'comprobante';
                }

                $filename = $custom_name . '_' . uniqid() . '.' . $file_ext;
                $target_file = $upload_dir . $filename;

                if (move_uploaded_file($file_tmp, $target_file)) {
                    $comprobante = $filename;
                    $comprobante_link = 'http://pagaturifa.com/pagos_ima/' . $filename;
                } else {
                    die("Error al mover el archivo subido.");
                }
            } else {
                die("Formato de archivo no permitido.");
            }
        } else {
            die("Error al subir el archivo: Código de error $file_error.");
        }
    } elseif (isset($_POST['tipo_comprobante']) && $_POST['tipo_comprobante'] === 'referencia' && isset($_POST['referencia'])) {
        $comprobante = trim($_POST['referencia']);
    }

    // Insertar en la base de datos
    $sql = "INSERT INTO compras_rifa (id_rifa, numeros_comprados, nombre, apellido, cedula, telefono, correo, region, ciudad, tipo_comprobante, estado, fecha_compra, foto_comprobante, monto_total) 
            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    if (!$stmt) {
        die("Error al preparar la consulta: " . $conn->error);
    }
    $stmt->bind_param("issssssssssssd", $id_rifa, $numeros_comprados, $nombre, $apellido, $cedula, $telefono, $correo, $region, $ciudad, $_POST['tipo_comprobante'], $estado, $fecha_compra, $comprobante, $total_compra);

    if ($stmt->execute()) {
        // Redireccionar a confirmacion_online.php
        header("Location: confirmacion_online.php");
        exit(); // Asegúrate de salir del script después de la redirección
    } else {
        echo "Error al registrar la compra: " . $stmt->error;
    }

    $stmt->close();
    $conn->close();
} else {
    echo "Método no permitido.";
}
?>